package ast;

import ast.Ast;

public class Sub extends Bin {

    /** Construct a Binary expression (sub) out of two expressions. */
    public Sub(Exp lhs, Exp rhs) {
        super(lhs, rhs);
    }

      /** The string that represents the operation in concrete syntax.*/
    @Override
    public String operator() {
        return "-";
    }
// FIXME: Some code was deleted here (Subtraction).

    /**
     * Eval the current node and return a value
     * (here an ast.Int)
     */
    public Value eval() {
        return new Int(this.lhs_.eval().toInt() - this.rhs_.eval().toInt());
    }
}
